## Global c_ascii_decor

boost::log::expressions::c_ascii_decor

## Synopsis

    // In header: <boost/log/expressions/formatters/c_decorator.hpp>

    unspecified c_ascii_decor;

## Description

C-style decorator generator object. Acts similarly to `c_decor`, except that `c_ascii_decor` also converts all non-ASCII and non-printable ASCII characters, except for space character, into C-style hexadecimal escape sequences. The generator provides `operator[]` that can be used to construct the actual decorator. For example:

`c_ascii_decor[ stream << attr< std::string >("MyAttr") ]`

For wide-character formatting there is the similar `wc_ascii_decor` decorator generator object.